- Main Page
- Related Pages
- Modules
- Classes
- Files

Functions
Exponential functions
GLM Core

## Functions
template<typename genType >
genType | exp (genType const &x)
template<typename genType >
genType | exp2 (genType const &x)
template<typename genType >
genType | inversesqrt (genType const &x)
template<typename genType >
genType | log (genType const &x)
template<typename genType >
genType | log2 (genType const &x)
template<typename genType >
genType | pow (genType const &x, genType const &y)
template<typename genType >
genType | sqrt (genType const &x)

## Detailed Description

These all operate component-wise.

The description is per component.

## Function Documentation

genType glm::exp | ( | genType const & | x | ) |

Returns the natural exponentiation of x, i.e., e^x.

Parameters:

  x | exp function is defined for input values of x defined in the range (inf-, inf+) in the limit of the type precision.

Template Parameters:

  genType | Floating-point scalar or vector types.

See also:
  GLSL exp man page
  GLSL 4.20.8 specification, section 8.2 Exponential Functions

genType glm::exp2 | ( | genType const & | x | ) |

Returns 2 raised to the x power.

Parameters:

  x | exp2 function is defined for input values of x defined in the range (inf-, inf+) in the limit of the type precision.

Template Parameters:

  genType | Floating-point scalar or vector types.

See also:
  GLSL exp2 man page
  GLSL 4.20.8 specification, section 8.2 Exponential Functions

genType glm::inversesqrt | ( | genType const & | x | ) |

Returns the reciprocal of the positive square root of x.

Parameters:

  x | inversesqrt function is defined for input values of x defined in the range [0, inf+) in the limit of the type precision.

Template Parameters:

  genType | Floating-point scalar or vector types.

See also:
  GLSL inversesqrt man page
  GLSL 4.20.8 specification, section 8.2 Exponential Functions

genType glm::log | ( | genType const & | x | ) |

Returns the natural logarithm of x, i.e., returns the value y which satisfies the equation x = e^y.

Results are undefined if x <= 0.

Parameters:

  x | log function is defined for input values of x defined in the range (0, inf+) in the limit of the type precision.

Template Parameters:

  genType | Floating-point scalar or vector types.

See also:
  GLSL log man page
  GLSL 4.20.8 specification, section 8.2 Exponential Functions

genType glm::log2 | ( | genType const & | x | ) |

Returns the base 2 log of x, i.e., returns the value y, which satisfies the equation x = 2 ^ y.

Parameters:

  x | log2 function is defined for input values of x defined in the range (0, inf+) in the limit of the type precision.

Template Parameters:

  genType | Floating-point scalar or vector types.

See also:
  GLSL log2 man page
  GLSL 4.20.8 specification, section 8.2 Exponential Functions

genType glm::pow | ( | genType const & | x,
|  | genType const & | y
| ) |  |

Returns x raised to the y power.

Parameters:

  x | pow function is defined for input values of x defined in the range (inf-, inf+) in the limit of the type precision.
  y |

Template Parameters:

  genType | Floating-point scalar or vector types.

See also:
  GLSL pow man page
  GLSL 4.20.8 specification, section 8.2 Exponential Functions

genType glm::sqrt | ( | genType const & | x | ) |

Returns the positive square root of x.

Parameters:

  x | sqrt function is defined for input values of x defined in the range [0, inf+) in the limit of the type precision.

Template Parameters:

  genType | Floating-point scalar or vector types.

See also:
  GLSL sqrt man page
  GLSL 4.20.8 specification, section 8.2 Exponential Functions